package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

public class ExamReviewRecordDto {

    @ApiModelProperty(value = "学员报名编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "学员名称")
    private String realName;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "是否录制")
    private Integer recordFlag;

    @ApiModelProperty(value = "考试状态，是否完成考试")
    private Integer finishedExam;

    @ApiModelProperty(value = "考试形态，直播还是录播")
    private Integer confirmStatus;

    @ApiModelProperty(value = "开始录制时间")
    private Integer recordStartTime;

    @ApiModelProperty(value = "评价")
    private String evaluationContent;

    @ApiModelProperty(value = "视频地址")
    private String videoUrl;

    @ApiModelProperty(value = "评分")
    private Integer evaluationResult;

    @ApiModelProperty(value = "评审编号")
    private Integer examReviewId;

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public Integer getRecordFlag() {
        return recordFlag;
    }

    public void setRecordFlag(Integer recordFlag) {
        this.recordFlag = recordFlag;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getFinishedExam() {
        return finishedExam;
    }

    public void setFinishedExam(Integer finishedExam) {
        this.finishedExam = finishedExam;
    }

    public Integer getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(Integer confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public Integer getRecordStartTime() {
        return recordStartTime;
    }

    public void setRecordStartTime(Integer recordStartTime) {
        this.recordStartTime = recordStartTime;
    }

    public String getEvaluationContent() {
        return evaluationContent;
    }

    public void setEvaluationContent(String evaluationContent) {
        this.evaluationContent = evaluationContent;
    }

    public Integer getEvaluationResult() {
        return evaluationResult;
    }

    public void setEvaluationResult(Integer evaluationResult) {
        this.evaluationResult = evaluationResult;
    }

    public Integer getExamReviewId() {
        return examReviewId;
    }

    public void setExamReviewId(Integer examReviewId) {
        this.examReviewId = examReviewId;
    }
}
